SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000535: Disk Graph Does Not Update - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000535Endian FirewallGUIpublic2008-02-02 00:312009-10-27 12:03
Reporterdevorem 
Assigned Topeter-endian 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta3 
Target Version2.2-rc1Fixed in Version2.2-rc1 
Summary0000535: Disk Graph Does Not Update
DescriptionOn the Status tab, System Graphs, the Disk Graph does not update. Above the graph, it says:

The statistics were last updated at: Fri Feb 1 19:25:08 2008

However, the graph itself has Maximum, Average, and Current all set as "nan" instead of numeric values.

The other System Graphs have data and seem to update properly.
Additional InformationI also had this problem with 2.2 Beta 2 but did not report it.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000728closedpeter-endian ntop - graphs were not working - possible ntpd/rrd issue 

-  Notes
(0000938)
peter-endian (administrator)
2008-02-26 21:03

most probably the system date has changed and the rrdtool creates entries of the past.

this happens also with ntop!

solution is to remove the rrdtool data whenever the timestamp of the last rrdtool entry (rrdtool last) is in the future
(0001072)
tgubio (reporter)
2008-04-25 02:08
edited on: 2008-04-25 02:17

---------------------------------------------------
root@dev:/usr/local/bin # cat /proc/diskstats
   1 0 ram0 0 0 0 0 0 0 0 0 0 0 0
   1 1 ram1 0 0 0 0 0 0 0 0 0 0 0
   1 2 ram2 0 0 0 0 0 0 0 0 0 0 0
   1 3 ram3 0 0 0 0 0 0 0 0 0 0 0
   1 4 ram4 0 0 0 0 0 0 0 0 0 0 0
   1 5 ram5 0 0 0 0 0 0 0 0 0 0 0
   1 6 ram6 0 0 0 0 0 0 0 0 0 0 0
   1 7 ram7 0 0 0 0 0 0 0 0 0 0 0
   1 8 ram8 0 0 0 0 0 0 0 0 0 0 0
   1 9 ram9 0 0 0 0 0 0 0 0 0 0 0
   1 10 ram10 0 0 0 0 0 0 0 0 0 0 0
   1 11 ram11 0 0 0 0 0 0 0 0 0 0 0
   1 12 ram12 0 0 0 0 0 0 0 0 0 0 0
   1 13 ram13 0 0 0 0 0 0 0 0 0 0 0
   1 14 ram14 0 0 0 0 0 0 0 0 0 0 0
   1 15 ram15 0 0 0 0 0 0 0 0 0 0 0
   8 0 sda 195509 166400 6259308 2912368 355200 555511 7290001 23063076 0 2250004 25987604
   8 1 sda1 496 539 26 33
   8 2 sda2 226887 1813801 193774 1550192
   8 3 sda3 80647 3917722 228422 1827376
   8 4 sda4 53435 523630 489156 3912400
  22 0 hdc 0 0 0 0 0 0 0 0 0 0 0
   2 0 fd0 0 0 0 0 0 0 0 0 0 0 0
root@dev:/usr/local/bin #
---------------------------------------------------
        foreach my $line (@diskstat) {
                chomp ($line);
                my @temp = split(/ +/,$line);
print $major . "-" . $temp[1] . "-" . $temp[7] . "-" . $temp[11] . "\n";
                if ($temp[1] eq $major and $temp[2] eq $minor) {
---------------------------------------------------
root@dev:/usr/local/bin # ./makegraphs.pl
Set-Cookie: EFWlogout=1; expires=Thu Apr 26 01:48:10 2007 GMT; path=/
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-1-0-0
0-8-2903940-22918984
0-8-33-
0-8-1544440-
0-8-1823848-
0-8-3875664-
0-22-0-0
0-2-0-0
root@dev:

$mojor value 0..
---------------------------------------------------
so modify the line..
--> if ($temp[1] eq 8 and $temp[2] eq $minor) {


- Issue History
Date Modified Username Field Change
2008-02-02 00:31 devorem New Issue
2008-02-04 14:20 ra-endian Target Version => 2.2-rc1
2008-02-26 21:03 peter-endian Note Added: 0000938
2008-03-04 14:42 ra-endian Target Version 2.2-rc1 => 2.2-beta4
2008-03-04 14:55 ra-endian Target Version 2.2-beta4 => 2.2-rc1
2008-04-25 02:08 tgubio Note Added: 0001072
2008-04-25 02:17 tgubio Note Edited: 0001072
2008-05-09 12:52 peter-endian Priority normal => urgent
2008-05-09 14:14 peter-endian Status new => resolved
2008-05-09 14:14 peter-endian Fixed in Version => 2.2-rc1
2008-05-09 14:14 peter-endian Resolution open => fixed
2008-05-09 14:14 peter-endian Assigned To => peter-endian
2008-05-09 17:53 peter-endian Relationship added related to 0000728
2009-10-27 12:03 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker